npm i -g @angular/cli Error while Installing angular cCLI

C:>npm i -g @angular/cli
npm WARN deprecated [email protected]: Debug versions >=3.2.0 <3.2.7 || >=4 <4.3.1 have a low-severity ReDos regression when used in a Node.js environment. It is recommended you upgrade to 3.2.7 or 4.3.1. (https://github.com/visionmedia/debug/issues/797)
npm ERR! Unexpected end of JSON input while parsing near ‘…cies":{"hosted-git-in’

npm ERR! A complete log of this run can be found in:
npm ERR! C:UsersPCK-116AppDataRoamingnpm-cache_logs20-11-30T11_50_37_081Z-debug.log

C:>

Source: Angular Questions